net.corda.node

## Class InteractiveShell.InputStreamDeserializer

- net.corda.node.InteractiveShell.InputStreamDeserializer

- Enclosing class:
    InteractiveShell

      public static class InteractiveShell.InputStreamDeserializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InteractiveShell.InputStreamDeserializer` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeAll()`
    `java.io.InputStream` | `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

- - ### Field Detail

    - #### INSTANCE

          public static InteractiveShell.InputStreamDeserializer INSTANCE

  - ### Method Detail

    - #### deserialize

          public java.io.InputStream deserialize(com.fasterxml.jackson.core.JsonParser p,
                                                 com.fasterxml.jackson.databind.DeserializationContext ctxt)

    - #### closeAll

          public void closeAll()